import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
export var getInputProp = function getInputProp() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var _ref$value = _ref.value,
      value = _ref$value === void 0 ? 'test value' : _ref$value,
      _ref$name = _ref.name,
      name = _ref$name === void 0 ? 'testName' : _ref$name,
      _ref$onChange = _ref.onChange,
      onChange = _ref$onChange === void 0 ? jest.fn() : _ref$onChange,
      rest = _objectWithoutProperties(_ref, ["value", "name", "onChange"]);

  return _objectSpread({
    value: value,
    name: name,
    onChange: onChange
  }, rest);
};
export var getMetaProp = function getMetaProp() {
  var _ref2 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref2$touched = _ref2.touched,
      touched = _ref2$touched === void 0 ? false : _ref2$touched,
      _ref2$error = _ref2.error,
      error = _ref2$error === void 0 ? null : _ref2$error;

  return {
    touched: touched,
    error: error
  };
};